Skip to end of metadata
Go to start of metadata

Step-by-step instructions on setting up your USask email in Mac Mail.

macOS 10.14 or later required

You will need to use macOS 10.14 "Mojave" or later to connect to your USask account. Instructions on finding your macOS version are available on Apple's website here.